Skip to content

Update Product or Service

Updates an existing product or service

View as Markdown

PUT /v1/product-services/{id}

Needs an API key with the update scope.

Path parameters

  • id string Required

Body parameters

  • name string

    A user-generated custom code for this product or service

  • productCode string

    Name of the product or service

  • taxes array of strings

    A list of the default taxes to be added to when the product is selected in the Nuvio Platform. Provide a list of taxes with their 32-character unique ID.

Returns

The product or service as saved.

401
No usable Authorization: Bearer {token} header (1002).
403
The access token is unknown, or lacks the scope this route needs (1001).